---
title: 'Element: fullscreenchange event'
slug: Web/API/Element/fullscreenchange_event
tags:
  - API
  - Element
  - Event
  - Fullscreen API
  - Fullscreen events
  - fullscreen
  - fullscreenchange
---
<div>{{APIRef}}</div>

<p><span class="seoSummary">The <code>fullscreenchange</code> event is fired immediately after an {{domxref("Element")}} switches into or out of full-screen mode.</span></p>

<table class="properties">
 <tbody>
  <tr>
   <th scope="row">Bubbles</th>
   <td>Yes</td>
  </tr>
  <tr>
   <th scope="row">Cancelable</th>
   <td>No</td>
  </tr>
  <tr>
   <th scope="row">Interface</th>
   <td>{{domxref("Event")}}</td>
  </tr>
  <tr>
   <th scope="row">Event handler property</th>
   <td>{{domxref("Element.onfullscreenchange", "onfullscreenchange")}}</td>
  </tr>
 </tbody>
</table>

<p>This event is sent to the <code>Element</code> which is transitioning into or out of full-screen mode.</p>

<h2 id="Examples">Examples</h2>

<p>In this example, a handler for the <code>fullscreenchange</code> event is added to the element whose ID is <code>fullscreen-div</code>.</p>

<p>If the user clicks on the "Toggle Fullscreen Mode" button, the <code>click</code> handler will toggle full-screen mode for the <code>div</code>. If <code>document.fullscreenElement</code> has a value it will exit full-screen mode. If not, the div will be placed into full-screen mode.</p>

<p>Remember that by the time the <code>fullscreenchange</code> event is handled, the status of the element has already changed. So if the change is to full-screen mode, <code>document.fullscreenElement</code> will point to the element that is now in full-screen mode. On the other hand, if <code>document.fullscreenElement</code> is null, full-screen mode has been canceled.</p>

<p>What that means to the example code is that, if an element is currently in full-screen mode, the <code>fullscreenchange</code> handler logs the <code>id</code> of the full-screen element to the console. If <code>document.fullscreenElement</code> is null, the code logs a message that the change is to leave full-screen mode.</p>

<h3 id="HTML">HTML</h3>

<pre class="brush: html notranslate"> &lt;h1&gt;fullscreenchange event example&lt;/h1&gt;
 &lt;div id="fullscreen-div"&gt;
   &lt;button id="toggle-fullscreen"&gt;Toggle Fullscreen Mode&lt;/button&gt;
 &lt;/div&gt;</pre>

<h3 id="JavaScript">JavaScript</h3>

<pre class="brush: js notranslate">document.getElementById('fullscreen-div').addEventListener('fullscreenchange', (event) =&gt; {
  // document.fullscreenElement will point to the element that
  // is in fullscreen mode if there is one. If not, the value
  // of the property is null.
  if (document.fullscreenElement) {
    console.log(`Element: ${document.fullscreenElement.id} entered fullscreen mode.`);
  } else {
    console.log('Leaving full-screen mode.');
  }
});

document.getElementById('toggle-fullscreen').addEventListener('click', (event) =&gt; {
  if (document.fullscreenElement) {
    // exitFullscreen is only available on the Document object.
    document.exitFullscreen();
  } else {
    document.getElementById('fullscreen-div').requestFullscreen();
  }
});</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td><a class="external external-icon" href="https://fullscreen.spec.whatwg.org/" rel="noopener" title="The 'Fullscreen API' specification">Fullscreen API</a></td>
   <td><span class="spec-Living">Living Standard</span></td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.Element.fullscreenchange_event")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/API/Document/fullscreenchange_event">Document: fullscreenchange event</a></li>
 <li><a href="/en-US/docs/Web/API/Element/fullscreenerror_event">Element: fullscreenerror event</a></li>
 <li><a href="/en-US/docs/Web/API/Fullscreen_API">Fullscreen API</a></li>
 <li><a href="/en-US/docs/Web/API/Fullscreen_API/Guide">Guide to the Fullscreen API</a></li>
</ul>
